Bug 1193907 (CVE-2015-0275) - CVE-2015-0275 kernel: fs: ext4: fallocate zero range page size > block size BUG()
Summary: CVE-2015-0275 kernel: fs: ext4: fallocate zero range page size > block size B...
Status: NEW
Alias: CVE-2015-0275
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150218,repor...
Keywords: Security
Depends On: 1187071 1193909 1195178 1252878 1252880 1252881
Blocks: 1193911
TreeView+ depends on / blocked
 
Reported: 2015-02-18 14:33 UTC by Petr Matousek
Modified: 2019-02-08 15:01 UTC (History)
19 users (show)

(edit)
A flaw was found in the way the Linux kernel's ext4 file system handled the "page size > block size" condition when the fallocate zero range functionality was used. A local attacker could use this flaw to crash the system.
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1778 normal SHIPPED_LIVE Important: kernel security and bug fix update 2015-09-15 16:03:32 UTC
Red Hat Product Errata RHSA-2015:1787 normal SHIPPED_LIVE Important: kernel-rt security, bug fix, and enhancement update 2015-09-15 13:22:07 UTC
Red Hat Product Errata RHSA-2015:1788 normal SHIPPED_LIVE Important: kernel-rt security, bug fix, and enhancement update 2015-09-15 13:38:06 UTC

Description Petr Matousek 2015-02-18 14:33:53 UTC
A flaw was found in the way the Linux kernel's EXT4 filesystem handled
page size > block size condition when fallocate zero range functionality
is used.

Acknowledgements:

This issue was discovered by Xiong Zhou of Red Hat.

Comment 2 Petr Matousek 2015-02-23 09:48:06 UTC
Upstream patch submission:

http://www.spinics.net/lists/linux-ext4/msg47193.html

Comment 3 Petr Matousek 2015-02-23 09:58:48 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5 and 6. This issue does affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 7 and Red Hat Enterprise MRG 2. Future updates in the respective releases may address this issue.

Comment 4 Petr Matousek 2015-02-23 10:36:24 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1195178]

Comment 5 Fedora Update System 2015-03-09 08:17:17 UTC
kernel-3.18.8-201.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-03-14 09:15:26 UTC
kernel-3.18.9-100.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 errata-xmlrpc 2015-09-15 09:23:39 UTC
This issue has been addressed in the following products:

  MRG for RHEL-6 v.2

Via RHSA-2015:1787 https://rhn.redhat.com/errata/RHSA-2015-1787.html

Comment 10 errata-xmlrpc 2015-09-15 09:39:26 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:1788 https://rhn.redhat.com/errata/RHSA-2015-1788.html

Comment 11 errata-xmlrpc 2015-09-15 12:06:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:1778 https://rhn.redhat.com/errata/RHSA-2015-1778.html


Note You need to log in before you can comment on or make changes to this bug.